commit:     d24c9d5e3890cbaeb15c8dc361c275f271ff2c27
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 28 13:56:34 2019 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sun Jul 28 14:04:59 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d24c9d5e

dev-python/rst-linker: bump to 1.11, now requires importlib_metadata

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/rst-linker/Manifest               |  1 +
 dev-python/rst-linker/rst-linker-1.11.ebuild | 55 ++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/rst-linker/Manifest b/dev-python/rst-linker/Manifest
index a782e81e4dd..247db7532e9 100644
--- a/dev-python/rst-linker/Manifest
+++ b/dev-python/rst-linker/Manifest
@@ -1,3 +1,4 @@
 DIST rst.linker-1.10.tar.gz 8820 BLAKE2B 
3615353dcce16652aa3528985997467e1501161b012fad44203fd98cc5e91dc32acf6c8492f0797ae748a87c008e5f3437833b435c5cbd85845340b91665e664
 SHA512 
5541d0ba5299a6efee444ed3c4fb4f108bcdd7c84e4be0b0a44f71c9f13e18d5b5c4c38328a542fe5666d435e1e04c35c0db5535706a45932dc01590813a85cc
+DIST rst.linker-1.11.tar.gz 12569 BLAKE2B 
5418f651322c28d8aff2dc735f8ff72325e895d8f2c12dae4985112112f74023c6103e344f4422e944b32b692713834ae5239bc4193edc76bfa85d9e0a674f4a
 SHA512 
8e748330f60e2e1f859fa3ec3fad706d7bbafc78a402b0df242bda7caff1fad3f1b17873fa9ee749d3d214e094f24a35695c627cf9a8d8f08ca99ee6ad0e4e6d
 DIST rst.linker-1.7.tar.gz 6798 BLAKE2B 
d4d5129bd79534cbc58f287a60876153325cde3142b3e516e3a75f22827f78c85edbd8eb2777263e6bf3c04f6ebabc78441647df3ed23950982ebd7ebe156632
 SHA512 
380cd1b36a1153a6512144b7c83be75dfa95ce397437d34cb76c4c41de6266c77cf1f811f4fb0576838e10bd78e1f46394df11b0f7dc5e3fafeef36b6e8c9ba0
 DIST rst.linker-1.9.tar.gz 7618 BLAKE2B 
b344495a217d7cd1c057256701130851975e46c45a740251ce20efa5131feb46a074fb1367a645e89b436b7e093baad1a484d06ca069ebc0f59eca8183ddd36d
 SHA512 
b3e39b025f75bb6ff670f23ee7abd48dcc4e19343626c1ffadd2304a7e3285fe0b7369ace96e47094606e864672c8aeea967a02217b110762e53498dde64b8a7

diff --git a/dev-python/rst-linker/rst-linker-1.11.ebuild 
b/dev-python/rst-linker/rst-linker-1.11.ebuild
new file mode 100644
index 00000000000..169adff6c56
--- /dev/null
+++ b/dev-python/rst-linker/rst-linker-1.11.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{5,6,7}} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Sphinx plugin to add links and timestamps to the changelog"
+HOMEPAGE="https://github.com/jaraco/rst.linker";
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~m68k ~mips ~s390 ~sh ~sparc ~x86 ~amd64-fbsd"
+IUSE="doc test"
+
+RDEPEND="
+       dev-python/importlib_metadata[${PYTHON_USEDEP}]
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+       doc? (
+               >=dev-python/jaraco-packaging-3.2[${PYTHON_USEDEP}]
+               dev-python/sphinx[${PYTHON_USEDEP}]
+       )
+       test? (
+               ${RDEPEND}
+               dev-python/path-py[${PYTHON_USEDEP}]
+               >=dev-python/pytest-3.4[${PYTHON_USEDEP}]
+       )
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_compile_all() {
+       if use doc; then
+               sphinx-build docs docs/_build/html || die
+               HTML_DOCS=( docs/_build/html/. )
+       fi
+}
+
+python_test() {
+       # Ignore the module from ${S}, use the one from ${BUILD_DIR}
+       # Otherwise, ImportMismatchError may occur
+       # https://github.com/gentoo/gentoo/pull/1622#issuecomment-224482396
+       # Override pytest options to skip flake8
+       py.test -v --ignore=rst --override-ini="addopts=--doctest-modules" \
+               || die "tests failed with ${EPYTHON}"
+}

Reply via email to